<HTML>
   <HEAD>
      <meta http-equiv="Pragma" content="no-cache">
      <meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>
      <LINK REL="stylesheet" TYPE="text/css" HREF="/WmRoot/webMethods.css">
      <LINK REL="stylesheet" TYPE="text/css" HREF="issprofiler.css">

      <TITLE>IS Service Profiler - Dashboard - View Per Service</TITLE>

      <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>
      <script type="text/javascript" src="scripts/wia4dsp.js"></script>
      <script type="text/javascript" src="tablesorter/tablesorter.js"></script>
   </HEAD>

   <BODY style="border: 0px" onLoad="setNavigation('ViewPerService.dsp', 'doc/OnlineHelp/PackageHelp.html#viewperservice', 'foo');">

      <TABLE WIDTH="100%">
         <tr>
            <TD class="menusection-Dashboard" colspan="2">Dashboard &gt; View Per Service</TD>
         </tr>
      </TABLE>
      <p>

      <TABLE width="100%"> <!-- this table is being used only to set a left identation to the child tables -->

         %invoke wia.pub.issprofiler.ui.viewPerService:build%

            %ifvar message%
               <tr>
                  <td class="message" COLSPAN="2">
                     %value message%
                  </td>
               </tr>
            %else%
               <TR>
                  <TD WIDTH="10">&nbsp;</TD>
                  <TD>
                     <table WIDTH="100%">
                        %ifvar validationMessage%
                           <tr>
                              <td class="message" COLSPAN="4">
                                 %value validationMessage%
                              </td>
                           </tr>
                           <tr> <td COLSPAN="4"> &nbsp; </td> </tr>
                        %endif%
                        <tr class="heading">
                           <td colspan="4"> Snapshot Identification </td>
                        <tr>
                        <tr>
                           <td class="columnHeading">Sample Key  </td>
                           <td class="columnHeading">Server Name </td>
                           <td class="columnHeading">Begin Time  </td>
                           <td class="columnHeading">End Time    </td>
                        </tr>
                        <tr class="oddrow-l">
                           <td>%value targetView/SampleKey      %</td>
                           <td>%value targetView/ServerName     %</td>
                           <td>%value targetView/SampleBeginTime%</td>
                           <td>%value targetView/SampleEndTime  %</td>
                        </tr>
                     </table>

                     <br>
                     <table width="100%" sortable="true">
                        <thead>
                           <tr class="heading">
                              <td colspan="9">Snapshot Details per Service</td>
                           </tr>
                           <form method="post">
                              <tr class="oddrow-l">
                                 <td colspan="9">
                                    <table WIDTH="100%">
                                       <tr>
                                          <td class="oddrow" WIDTH="280">
                                             Minimum Own Elapsed Time (D&nbsp;HH:MM:SS.m):
                                          </td>
                                          <td class="oddrow-l">
                                             &nbsp;<input TYPE="text" name="minElapsedTime" VALUE="%value minElapsedTime%" SIZE="15">
                                          </td>
                                          <td ALIGN="right">
                                             %ifvar frozen equals('true')%
                                                <IMG SRC="images/snapshot-frozen.gif">
                                             %endif%
                                          </td>
                                       </tr>
                                       <tr>
                                          <td class="oddrow">
                                             Reported Times are averages:
                                          </td>
                                          <td class="oddrow-l" colspan="2">
                                             <input TYPE="checkbox" name="isAverageTimes" %ifvar isAverageTimes equals('true')% CHECKED %endif%>
                                          </td>
                                       </tr>
                                    </table>
                                 </td>
                              </tr>

                              <tr class="oddrow-l">
                                 <td colspan="3">
                                    <input type="submit" name="action" VALUE="Refresh">
                                 </td>
                                 <td class="highColumnHeading-c" colspan="2">Count          </td>
                                 <td class="highColumnHeading-c" colspan="2">Own Code       </td>
                                 <td class="highColumnHeading-c" colspan="2">With Child Code</td>
                              </tr>
                           </form>
                           <tr>
                              <td class="columnHeading"   sortable="true">                                             Package    </td>
                              <td class="columnHeading"   sortable="true">                                             Service    </td>
                              <td class="columnHeading-c" sortable="true">                                             Type       </td>
                              <td class="columnHeading-r" sortable="true" sortOrder="desc">                            Calls      </td>
                              <td class="columnHeading-r" sortable="true" sortOrder="desc">                            Errors     </td>
                              <td class="columnHeading-r" sortable="true" sortOrder="desc" sortType="time" WIDTH="90"> Elapsed    </td>
                              <td class="columnHeading-r" sortable="true" sortOrder="desc" sortType="time" WIDTH="90"> Spent      </td>
                              <td class="columnHeading-r" sortable="true" sortOrder="desc" sortType="time" WIDTH="90"> Elapsed    </td>
                              <td class="columnHeading-r" sortable="true" sortOrder="desc" sortType="time" WIDTH="90"> Spent      </td>
                           </tr>
                        </thead>

                        <tbody>
                           <!-- Loop over the Service Details and print a line for each -->
                           %loop targetView/ServiceAccumulators%
                              <tr>
                                <script type="text/javascript">
                                   writeTag_TD("%value PackageName%"                            , "row-l"    , null, true );
                                   writeTag_TD("%value ServiceName%"                            , "row-l"    , null, false);
                                   writeTag_TD("<A href='BrowseSnapshot-fs.dsp?serviceName=%value ServiceName%'><IMG SRC='images/ns_%value ServiceType%.gif' style='border: 0px;' title='Locate service in BrowseSnapshot'></a>"
                                                                                                , "rowdata"  , null, false);
                                   writeTag_TD("%value CallCount%"                              , "rowdata-r", null, false);
                                   writeTag_TD("%value ExceptionCount%"                         , "rowdata-r", null, false);
                                   writeTag_TD("%value OwnElapsedTime%"                         , "rowdata-r", null, false);
                                   writeTag_TD("%value OwnSpentTime%"                           , "rowdata-r", null, false);
                                   writeTag_TD("<SPAN title='min=%value WithChildrenElapsedTimeMin% / max=%value WithChildrenElapsedTimeMax%'>%value WithChildrenElapsedTime%</SPAN>"
                                                                                                , "rowdata-r", null, false);
                                   writeTag_TD("<SPAN title='min=%value WithChildrenSpentTimeMin% / max=%value WithChildrenSpentTimeMax%'>%value WithChildrenSpentTime%</SPAN>"
                                                                                                , "rowdata-r", null, false);
                                </script>
                              </tr>
                           %endloop%
                        <tbody>

                        <!-- Print Grand Totals row -->
                        <tfooter>
                           <tr>
                              %ifvar isAverageTimes equals('false')%
                                 <td class="columnFooter-r" colspan="5"> Grand Totals: </td>
                                 <td class="columnFooter-r"> %value targetView/GrandTotals/OwnElapsedTime%          </td>
                                 <td class="columnFooter-r"> %value targetView/GrandTotals/OwnSpentTime%            </td>
                                 <td class="columnFooter-r"> %value targetView/GrandTotals/WithChildrenElapsedTime% </td>
                                 <td class="columnFooter-r"> %value targetView/GrandTotals/WithChildrenSpentTime%   </td>
                              %else%
                                 <td class="columnFooter-r" colspan="9">&nbsp;</td>
                              %endif%
                           </tr>
                        </tfooter>
                     </table>
                  </TD>
               </TR>
            %endif%
         %onerror%
            <tr>
               <td class="message" COLSPAN="2">
                  An error occurred trying to build the report data.
                  Check by executing the '%value errorService%' service on a browser.
                  The error details are as follows: <br><br>
                  %value errorMessage%
               </td>
            </tr>
         %endinvoke%
      </TABLE>

   </BODY>
</HTML>
