<HTML>
  <HEAD>
    <meta http-equiv="Pragma"        content="no-cache">
    <meta http-equiv='Content-Type'  content='text/html; charset=UTF-8'>
    <LINK REL="stylesheet" TYPE="text/css" HREF="/WmRoot/webMethods.css">
    <LINK REL="stylesheet" TYPE="text/css" HREF="doc/onlinedoc.css">
    <TITLE>%value $host% - wM IS Service Profiler - About</TITLE>
    <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>

    <style>
      <!--
      BODY
        {
        border: 0px;
        }

      H2
        {
        border: 0px;
        }

       -->
    </style>

  </HEAD>

  <BODY onLoad="setNavigation('about.dsp', 'doc/OnlineHelp/PackageHelp.html#about', 'foo');">

    %invoke wia.pub.issprofiler.ui.about:getMetadata%
    %end invoke%

    <table>
      <tr>
        <td WIDTH="10"></td>
        <td>
          <table border="0" VALIGN="top">
            <tr>
               <td VALIGN="top">
                 <a href="doc/ReleaseNotes.html" target="_blank"> Release&nbsp;Notes </a>
                 &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                 <a href="doc/VersionHistory.html" target="_blank"> Version&nbsp;History </a>
               </td>
               <td ALIGN="right"><IMG SRC="images/logo.gif"></td>
            </tr>
            <tr>
              <td colspan="2">
                <p class="toptitle">
                  Integration Server <u>Service Profiler</u>, v%value version%
                </p>
                  %ifvar isInstalledOnline equals('true')%
                     <H2>Have your own Service Profiler <span style="text-decoration: underline;">free</span> evaluation instance!</H2>
                        <DIV>
                           <p>
                             This profiler instance is installed online and is shared. This creates the possibility of user
                             concurrency and testing data that is not relevant to you.
                           </p>
                           <p>
                              If you which to have an evaluation version installed in your own environment,
                              under your control, and for your own tests, please send a message to
                              <a href="mailto:issprof@wrightia.com?subject=ISSPROF%3A%20RFI%3A%20%3Cyour%20company%20name%3E">issprof@wrightia.com</a>.
                           </p>
                        </DIV>
                  %endif%

                <H2>Introduction</H2>
                  <DIV>
                    <p>
                      This tool enables you the analysis of where (which services) both
                      <span class="systemname">Processing Time</span> and
                      <span class="systemname">Elapsed Time</span> is being spent.
                    </p>
                    <p>
                      The difference between <span class="systemname">Processing Time</span> and
                      <span class="systemname">Elapsed Time</span>, is that the latter is
                      the time passed on your watch since the service started until it ended (<span class="systemname">Elapsed</span>),
                      while the first is the actual time spend in the CPU doing work (<span class="systemname">Spent</span>).
                    </p>
                    <p>
                      These times per service can also be analyzed taking into consideration only the code of
                      the service (<span class="systemname">Own Code</span>) or including the time spend in any other
                      service called from it (<span class="systemname">With Child Code</span>).
                    </p>
                  </DIV>

                <H2>Footprint</H2>
                  <DIV>
                    <p>
                      The tool is intended to be as less intrusive as possible, leaving a very small footprint on
                      your Integration Server installation.
                    </p>
                    <p>
                      The tool does not need any changes to any services to enable its functionality.
                      Appart from the installation of its package, there is only the need to include a small block
                      of script code in the <tt>server.sh</tt>/<tt>server.bat</tt>
                      file (in a single especific place) which will add a few options to the server command-line.
                    </p>
                  </DIV>

                <H2>Administration</H2>
                  <DIV>
                    <p>
                      Administration options allow you to start/stop the profiler and to limit the amount of data
                      that is considered for output analysis.
                    </p>
                    <p>
                      While running, the Service Profiler establishes no filters: <u>it collects info for all running
                      services, because they all contribute to your system performance</u>.
                      However, these may not all be under your control or even the object of interest for your analysis.
                      Therefore, you can establish wich packages you wish to leave out through <span class="keyword">Regular Expression</span>
                      patterns over the package names (the result of the applied pattern can be immediately checked, also to avoid runtime errors).
                    </p>
                  </DIV>
              <td>
            </tr>
          </table>
        </td>
      </tr>
    </table>
  </BODY>
</HTML>
