<HTML>
   <HEAD>
      <meta http-equiv="Pragma"        content="no-cache">
      <meta http-equiv='Content-Type'  content='text/html; charset=UTF-8'>
      <LINK REL="stylesheet" TYPE="text/css" HREF="/WmRoot/webMethods.css">
      <LINK REL="stylesheet" TYPE="text/css" HREF="issprofiler.css">

      <TITLE>IS Service Profiler - Dashboard - Code Coverage</TITLE>

      <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>
      <script type="text/javascript" src="scripts/wia4dsp.js"></script>
      <script type="text/javascript" src="tablesorter/tablesorter.js"></script>
   </HEAD>

   <BODY style="border: 0px" onLoad="setNavigation('CodeCoverage.dsp', 'doc/OnlineHelp/PackageHelp.html#codecoverage', 'foo');">

      <TABLE WIDTH="100%">
         <tr>
            <TD class="menusection-Dashboard" colspan="2">Dashboard &gt; Code Coverage</TD>
         </tr>
      </TABLE>
      <p>

      <TABLE width="100%"> <!-- this table is being used only to set a left identation to the child tables -->
         %invoke wia.pub.issprofiler.ui.codeCoverage:build%

            %ifvar message%
               <tr>
                  <td class="message" COLSPAN="2">
                     %value message%
                  </td>
               </tr>
            %else%
               <TR>
                  <TD WIDTH="10">&nbsp;</TD>
                  <TD>
                     <table name="Data Heading" WIDTH="100%">

                        %ifvar validationMessage%
                           <tr>
                              <td class="message" COLSPAN="4">
                                 %value validationMessage%
                              </td>
                           </tr>
                           <tr> <td COLSPAN="4"> &nbsp; </td> </tr>
                        %endif%

                        <tr class="heading">
                           <td colspan="4"> Snapshot Identification </td>
                        <tr>

                        <tr>
                           <td class="columnHeading">Sample Key  </td>
                           <td class="columnHeading">Server Name </td>
                           <td class="columnHeading">Begin Time  </td>
                           <td class="columnHeading">End Time    </td>
                        </tr>

                        <tr class="oddrow-l">
                           <td>%value targetView/SampleKey      %</td>
                           <td>%value targetView/ServerName     %</td>
                           <td>%value targetView/SampleBeginTime%</td>
                           <td>%value targetView/SampleEndTime  %</td>
                        </tr>
                     </table>

                     <br>
                     <table name="frmDataDetail" width="100%" sortable="true">
                        <thead>

                           <tr class="heading">
                              <td colspan="4">Snapshot Code Coverage</td>
                           </tr>
                           <form name="frmRefresh" method="post">
                              <tr class="oddrow-l">
                                 <td colspan="4">
                                    <table WIDTH="100%">
                                       <tr>
                                          <td width="300" ALIGN="right">
                                             Also show packages that <u>do not</u> contain Services:
                                          </td>
                                          <td ALIGN="left">
                                             <input TYPE="checkbox" name="alsoWithoutServices" %ifvar alsoWithoutServices equals('true')% CHECKED %endif%>
                                          </td>
                                          <td ALIGN="right">
                                             %ifvar frozen equals('true')%
                                                <IMG SRC="images/snapshot-frozen.gif">
                                             %endif%
                                          </td>
                                       </tr>
                                    </table>
                                 </td>
                              </tr>

                              <tr class="oddrow-l">
                                 <td>
                                    <input type="submit" name="action" VALUE="Refresh">
                                 </td>
                                 <td class="highColumnHeading-c" colspan="3">Service Usage Ratio</td>
                              </tr>
                           </form>
                           <tr>
                              <td class="columnHeading"   sortable="true" width="50%">                  Package  </td>
                              <td class="columnHeading-c" sortable="true" width="40" sortorder="desc">  %        </td>
                              <td class="columnHeading-c">
                                 Used <IMG ALIGN="middle" SRC="images/ratio_used.gif"> / <IMG ALIGN="middle" SRC="images/ratio_unused.gif"> Unused
                              </td>
                              <td class="columnHeading-c" sortable="true" width="40" sortorder="desc">   %        </td>
                           </tr>
                        </thead>

                        <tbody>
                           <!-- Loop over the Service Details and print a line for each -->
                           %loop targetView/PackagesCoverage%
                              <tr>
                                 %ifvar HasServices equals('true')%
                                    <script type="text/javascript">
                                       writeTag_TD ( "<A href='CodeCoverageServices.dsp?packageName=%value Name%&usageType=any&alsoWithoutServices="
                                                   + document.frmRefresh.alsoWithoutServices.checked + "'>%value Name%</A>"
                                                                                       , "row-l"   , null, true );
                                       writeTag_TD("%value UsedPercentage%"            , "rowdata" , null, false);
                                       writeTag_TD(getGaugeHTML(%value UsedPercentage%), null      , null, false);
                                       writeTag_TD("%value UnusedPercentage%"          , "rowdata" , null, false);
                                    </script>
                                 %else%
                                    <script type="text/javascript">
                                       writeTag_TD ( "%value Name%"                    , "row-l"   , null, true );
                                       writeTag_TD("-"                                 , "rowdata" , null, false);
                                       writeTag_TD("No Services Defined"               , "rowdata" , null, false);
                                       writeTag_TD("-"                                 , "rowdata" , null, false);
                                    </script>
                                 %endif%
                                </script>
                              </tr>
                           %endloop%
                        <tbody>

                        <!-- Print table footer -->
                        <tfooter>
                           <tr>
                              <td class="columnFooter-r" colspan="4">&nbsp;</td>
                           </tr>
                        </tfooter>
                     </table>
                  </TD>
               </TR>
            %endif%
         %onerror%
            <tr>
               <td class="message" COLSPAN="2">
                  An error occurred trying to build the report data.
                  Check by executing the '%value errorService%' service on a browser.
                  The error details are as follows: <br><br>
                  %value errorMessage%
               </td>
            </tr>
         %endinvoke%
      </TABLE>

   </BODY>
</HTML>
