<HTML>
   <HEAD>
      <meta http-equiv="Pragma"        content="no-cache">
      <meta http-equiv='Content-Type'  content='text/html; charset=UTF-8'>
      <LINK REL="stylesheet" TYPE="text/css" HREF="/WmRoot/webMethods.css">
      <LINK REL="stylesheet" TYPE="text/css" HREF="issprofiler.css">
      <TITLE>IS Service Profiler - Licensing</TITLE>
      <script type="text/javascript" src="/WmRoot/webMethods.js.txt"></script>

      <style>
        <!--
         BODY
           {
           border: 0px;
           }

         #licensingInfo TR TD.message
            {
            height: 100%;
            }

         #licensingInfo TR
            {
            height: 17px;
            }

         -->
      </style>

   </HEAD>

   <BODY onLoad="setNavigation('licensing-info.dsp', 'doc/OnlineHelp/PackageHelp.html#licensing', 'foo');">

      %invoke wia.pub.issprofiler.ui.licensing:getMetadata%
         <TABLE WIDTH="100%">
            <tr>
               <TD class="menusection-ServiceProfiler" colspan="2">ServiceProfiler &gt; Licensing</TD>
            </tr>
            <tr>
               <td>
                  <ul>
                     <li><A href="licensing-setkey.dsp">Set New License Key</A></li>
                     %ifvar LicenseInfo/isUnlimitedServiceVolume equals('false')%
                        <li><A href="licensing-info.dsp?resetSVTTop=true">Reset 'Services Top Volume' Counter</A></li>
                     %endif%
                  </ul
               <td>
            </tr>
         </TABLE>
         <p>

         <TABLE width="100%"> <!-- this table is being used only to set a left identation to the child tables -->

            %ifvar message%
               <tr>
                  <td class="message" COLSPAN="2">
                     %value message%
                  </td>
               </tr>
            %endif%

            <TR>
               <TD WIDTH="10">&nbsp;</TD>
               <TD>
                  <table id="licensingInfo" >

                     %ifvar validationMessage%
                        <tr>
                           <td class="message" COLSPAN="3">
                              %value validationMessage%
                           </td>
                        </tr>
                        <tr> <td COLSPAN="2"> &nbsp; </td> </tr>
                     %endif%

                     <tr class="heading">
                        <td colspan="2"> Licensing Information </td>
                     </tr>

                     <tr>
                        <td class="oddrow">Licensed To</td>
                        <td class="oddrowdata-l" WIDTH="200">%value LicenseInfo/customerName%</td>
                     </tr>
                     <tr>
                        <td class="evenrow">License Level</td>
                        <td class="evenrowdata-l" WIDTH="200">%value LicenseInfo/licenseLevelName%</td>
                     </tr>
                     <tr>
                        <td class="oddrow">Expiration Date</td>
                        <td class="oddrowdata-l">
                           %ifvar LicenseInfo/isExpirable equals('true')%
                              %value LicenseInfo/expirationDate%
                           %else%
                              %ifvar LicenseInfo/isValid equals('true')%
                                 does not expire
                              %end if%
                           %end if%
                        </td>
                     </tr>
                     <tr>
                        <td class="evenrow">Evaluation</td>
                        <td class="evenrowdata-l">
                          %ifvar LicenseInfo/isValid equals('true')%
                             %value LicenseInfo/isEvaluation%
                          %end if%
                        </td>
                     </tr>
                     <tr>
                        <td class="oddrow">Status</td>
                        <td class="oddrowdata-l">%value LicenseInfo/statusMessage%</td>
                     </tr>
                     %ifvar LicenseInfo/isUnlimitedServiceVolume equals('false')%
                        <!-- Licenced Service Tier Info -->
                        <tr>
                           <td class="evenrow">Licensed Service Volume</td>
                           <td class="evenrowdata-l">
                             %value LicenseInfo/licensedServiceVolume%
                           </td>
                        </tr>
                        <tr>
                           <td class="oddrow">Services Top Volume</td>
                           <td class="oddrowdata-l">
                              %ifvar LicenseInfo/isVolumeBreached equals('true')%
                                 <img src="images/tree_unlicensed.gif" style="vertical-align: middle;">
                              %end if%
                              %value LicenseInfo/serviceNodesTopCount%
                           </td>
                        </tr>
                     %end if%
                  </table>
               </TD>
            </TR>
         </TABLE>
      %onerror%
         <TABLE WIDTH="100%"> <!-- this table is being used only to set a left identation to the child tables -->
            <tr>
               <td class="message" COLSPAN="2">
                  An error occurred trying to build the report data.
                  Check by executing the '%value errorService%' service on a browser.
                  The error details are as follows: <br><br>
                  %value errorMessage%
               </td>
            </tr>
         </TABLE>
      %endinvoke%

   </BODY>
</HTML>
